Bug 27410 - Multi-boot win98 systems can no longer boot into win98
Multi-boot win98 systems can no longer boot into win98
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-13 10:57 EST by Timothy Webster
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:47:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Webster 2001-02-13 10:57:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)


I have a Dell Latitude CPx.  My system is(was) configured to triple boot 
between Win98, Win2k, and RedHat Linux 6.2.  I installed RedHat 7.1 over 
my 6.2 install.  Install went cleanly, and appeared to work properly.  
When I attempted to boot back into Win98, I cannot.  Win98 starts to load 
(splash screen appears), and then the system reboots.  I re-install RedHat 
v6.2, and my Win98 now boots properly.  I continued to troubleshoot, re-
installing v7.1 to confirm that the problem re-appears.  It does.  I re-
install 6.2, problem goes away.  I install RedHat v7.0 - problem re-
appears.  Again, I re-install 6.2, problem vanishes.  Notice a trend?  As 
a side note, if I boot Linux, then reboot into Win2k, I can then boot into 
Win98 without a problem.  If I boot into Linux, and then reboot into 
Win98, failure.  This problem seems to be an issue with both 7.0 and 7.1.

Reproducible: Always
Steps to Reproduce:
1.  Build a multi-boot workstation with Win98, Win2k, and Linux 6.2
2.  Note that all OS's boot properly.
3.  Upgrade to RedHat 7.0 or 7.1
4.  Boot into Linux, then (attempt to) reboot into Win98.

Actual Results:  Exactly as described in block above.

The first time you boot into Win98, it simply reboots after the splash 
screen appears.  If you attempt to load Win98 again, it comes to the mode 
selection menu, from which you can choose to boot into safe mode.  Safe 
mode works.  Rebooting into normal mode after a safe mode boot fails.
Comment 1 Bill Nottingham 2001-02-13 18:45:24 EST
Sounds like a lilo problem - assigning there.
Comment 2 Jeremy Katz 2002-06-04 02:16:10 EDT
Worked for me back in those days -- do you still have this problem with newer
releases of Red Hat Linux?
Comment 3 Jeremy Katz 2002-06-29 17:47:37 EDT
Closing due to inactivity.  If you have further information, please reopen this bug.
Comment 4 Red Hat Bugzilla 2006-02-21 13:47:54 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.